Subject: Re: Davicom DM9162 PHY supported in the kernel?

From: Andrew Lunn <[email-masked]>
Date: Mon, 9 May 2016 14:06:34 +0200

Hi Amr

Please don't top post.

> Based on the information I pasted below, it appears that
> autonegotiation is working - the device detects that there is a link
> partner connected and ethtool reports back the various link modes that
> can be used.

This suggests the PHY to cable is O.K. and your problem is between the
MAC and the PHY.

> I'm not sure about the status bits - I couldn't find out how I would
> check them.

How about adding a printk() in genphy_read_status().

    Andrew